
import {axios} from '@/utils/request'


//获取登录账户已经绑定过的快手账户列表
export function getUserList() {
    return axios({
      url: "/ks/web/user/list",
      method: 'post',
      //   params: parameter
    })
}

// 获取登录二维码
export function getLoginQr() {
    return axios({
      url: "/ks/web/login/qr",
      method: 'post',
      //   params: parameter
    })
}

// 获取登录状态
// /ks/web/login/status
// 参数 String requestId
export function getLoginStatus(parameter) {
    return axios({
      url: "/ks/web/login/status",
      method: 'post',
      params: parameter
    })
}

// 获取视频列表
// /ks/web/video/list
// 参数 String ksid,String pcursor
export function getVideoList(parameter) {
    return axios({
      url: "/ks/web/video/list",
      method: 'post',
      params: parameter
    })
}

// 获取评论列表
// /ks/web/comment/list
// 参数 String ksid,String photoId,String pcursor
export function getCommentList(parameter) {
    return axios({
      url: "/ks/web/comment/list",
      method: 'post',
      params: parameter
    })
}

// 删除单条评论
// /ks/web/comment/delete
// 参数 String ksid,String photoId,Long commentId
export function commentDelete(parameter) {
    return axios({
      url: "/ks/web/comment/delete",
      method: 'post',
      params: parameter
    })
}

// 获取子评论列表
// /ks/web/subcomment/list
// 参数 String ksid,String photoId,Long rootCommentId,String pcursor
export function getSubcommentList(parameter) {
    return axios({
      url: "/ks/web/subcomment/list",
      method: 'post',
      params: parameter
    })
}

//评论添加接口
///ks/web/comment/add
// String ksid, String photoId,String content, Long replyToCommentId,Long repltTo
export function commentAdd(parameter) {
    return axios({
      url: "/ks/web/comment/add",
      method: 'post',
      params: parameter
    })
}



//头条当前账号下的数据集合
// /ctop/report/accountReport
export function getAccountReport() {
    return axios({
      url: "/ctop/report/accountReport",
      method: 'get',
    //   params: parameter
    })
}


//快手当前账号下的数据集合
export function getKsAccountReport(parameter) {
    return axios({
      url: "/ctop/report/kuaiShou/accountReport",
      method: 'post',
      data: parameter
    })
}

// 当日明细
// /accountReport/kuaiShou/accountDetailReport
//快手当前账号下的数据集合
export function getKsDetail(parameter) {
    return axios({
      url: "/ctop/report/kuaiShou/accountDetailReport",
      method: 'post',
      data: parameter
    })
}


// 当日明细
// /accountReport/kuaiShou/accountDetailReport
//快手当前账号下的数据集合
export function getReportList(parameter) {
    return axios({
      url: "/ctop/report/kuaiShou/getReportList",
      method: 'post',
      data: parameter
    })
}